Index: webapp/cms/plugins/web/pages/services/search/search.xsl
===================================================================
--- webapp/cms/plugins/web/pages/services/search/search.xsl	(revision 9137)
+++ webapp/cms/plugins/web/pages/services/search/search.xsl	(working copy)
@@ -56,7 +56,7 @@
 				<xsl:call-template name="pagination"/>
 			</xsl:when>
 			<xsl:when test="/search/form/values and not(/search/illegal-textfield)">
-				<div class="no-result"><i18n:text i18n:key="FRONT_MODULE_SEARCH_NO_RESULT"/></div>
+				<p class="no-result"><i18n:text i18n:key="FRONT_MODULE_SEARCH_NO_RESULT"/></p>
 			</xsl:when>
 		</xsl:choose>
 	</xsl:template>
@@ -90,30 +90,42 @@
 		 + -->
 	<xsl:template name="hits">
 		
-		<dl class="search-hits">
+		<ul>
 							
 			<xsl:for-each select="/search/hits/hit|/search/content-types/*[@current = 'true']/hits/hit">
 			
 				<xsl:choose>
 					<xsl:when test="type = 'resource'"> 
-						<dt class="hit resource">
-							<xsl:if test="position() mod 2 = 0"><xsl:attribute name="class">hit resource even</xsl:attribute></xsl:if>
-							<img class="icon" src="{$contextPath}/{icon}" alt=""/>
-							<a href="{$cms-context}/{uri}.html" title="{title}"><xsl:value-of select="title"/></a>
-							<span class="size"> (<xsl:value-of select="size"/>)</span>
-						</dt>
-						<dd class="hit resource">	
-							<xsl:if test="position() mod 2 = 0"><xsl:attribute name="class">hit resource even</xsl:attribute></xsl:if>
-							<xsl:value-of select="excerpt"/>
-							<xsl:if test="/search/form/values/multisite">
-								<br/>
-								<span class="site"><xsl:value-of select="siteTitle"/><xsl:text> - </xsl:text><a href="{siteUrl}" target="_blank" title="{siteTitle}"><xsl:value-of select="siteUrl"/></a></span>
-							</xsl:if>
-						</dd>
+						<li>
+                            <xsl:attribute name="class">hit resource
+                                <xsl:if test="position() mod 2 = 0"><xsl:text> even</xsl:text></xsl:if>                                
+                                <xsl:if test="position() = 1"><xsl:text> first</xsl:text></xsl:if>
+                                <xsl:if test="position() = last()"><xsl:text> last</xsl:text></xsl:if>                           
+                            </xsl:attribute>                        
+							<div class="service-search-item">
+                                <img class="icon" src="{$contextPath}/{icon}" alt=""/>
+    							<a href="{$cms-context}/{uri}.html" title="{title}"><xsl:value-of select="title"/></a>
+    							<span class="size"> (<xsl:value-of select="size"/>)</span>
+                            </div>
+                            <xsl:if test="excerpt">
+                                <div class="service-search-excerpt">
+                                    <xsl:value-of select="excerpt"/>
+                                </div> 
+                            </xsl:if>                            
+                            <xsl:if test="/search/form/values/multisite">
+                                <div class="service-search-site">
+                                    <p><xsl:value-of select="siteTitle"/><xsl:text> - </xsl:text><a href="{siteUrl}" target="_blank" title="{siteTitle}"><xsl:value-of select="siteUrl"/></a></p>
+                                </div>
+                            </xsl:if>
+						</li>
 					</xsl:when>
 					<xsl:otherwise>
-						<dt class="hit page">
-							<xsl:if test="position() mod 2 = 0"><xsl:attribute name="class">hit page even</xsl:attribute></xsl:if>
+						<li>
+                            <xsl:attribute name="class">hit page
+                                <xsl:if test="position() mod 2 = 0"><xsl:text> even</xsl:text></xsl:if>                                
+                                <xsl:if test="position() = 1"><xsl:text> first</xsl:text></xsl:if>
+                                <xsl:if test="position() = last()"><xsl:text> last</xsl:text></xsl:if>                        
+                            </xsl:attribute>
 							<a title="{title}">
                                 <xsl:attribute name="href">
                                     <xsl:value-of select="$cms-context"/>
@@ -142,22 +154,23 @@
                                 </xsl:attribute>
                                 <xsl:value-of select="title"/>
                             </a>
-						</dt>
-						<dd class="hit page">	
-							<xsl:if test="position() mod 2 = 0"><xsl:attribute name="class">hit page even</xsl:attribute></xsl:if>
-							<xsl:value-of select="excerpt"/>
-							
-							<xsl:if test="/search/form/values/multisite">
-								<br/>
-								<span class="site"><xsl:value-of select="siteTitle"/><xsl:text> - </xsl:text><a href="{siteUrl}" target="_blank" title="{siteTitle}"><xsl:value-of select="siteUrl"/></a></span>
-							</xsl:if>
-						</dd>
+                            <xsl:if test="excerpt">
+                                <div class="service-search-excerpt">
+                                    <xsl:value-of select="excerpt"/>
+                                </div> 
+                            </xsl:if>
+                            <xsl:if test="/search/form/values/multisite">
+                                <div class="service-search-site">
+                                    <p><xsl:value-of select="siteTitle"/><xsl:text> - </xsl:text><a href="{siteUrl}" target="_blank" title="{siteTitle}"><xsl:value-of select="siteUrl"/></a></p>
+                                </div>
+                            </xsl:if>
+						</li>
 					</xsl:otherwise>
 				</xsl:choose>
 				
 			</xsl:for-each>
 			
-		</dl>
+		</ul>
 	</xsl:template>	
 	
 	<!-- +
@@ -165,7 +178,7 @@
 		 + -->
 	<xsl:template name="results-sort">
 		<div class="results-sort">
-			<ul class="sort">
+			<ul>
 				<li><span><i18n:text i18n:key="FRONT_MODULE_SEARCH_SORT_BY"/></span></li>
 				<li>
 					<xsl:choose>
@@ -197,7 +210,6 @@
 						</xsl:otherwise>
 					</xsl:choose>
 				</li>
-				
 			</ul>
 		</div>
 	</xsl:template>
@@ -208,75 +220,73 @@
 		 + -->
 	<xsl:template name="pagination">
 		<form id="reload" method="post" action="{$cms-context}/{/search/url}#nav" accept-charset="UTF-8">
-			<div>
-                <input type="hidden" name="submit-form">
-                    <xsl:if test="/search/group-id and normalize-space(/search/group-id) != ''">
-                        <xsl:attribute name="value"><xsl:value-of select="/search/group-id"/></xsl:attribute>
-                    </xsl:if>
-                </input>
-                <xsl:if test="/search/zone-item/@id">
-                    <input type="hidden" name="zone-item-id" value="{/search/zone-item/@id}"/>
+            <input type="hidden" name="submit-form">
+                <xsl:if test="/search/group-id and normalize-space(/search/group-id) != ''">
+                    <xsl:attribute name="value"><xsl:value-of select="/search/group-id"/></xsl:attribute>
                 </xsl:if>
-                
-				<input type="hidden" name="textfield" value="{/search/form/values/textfield}"/>
-				
-				<!-- All words -->
-				<xsl:if test="/search/form/fields/all-words">
-					<input type="hidden" name="all-words" value="{/search/form/values/all-words}"/>
-				</xsl:if>
-				
-				<!-- Exact wording or phrase -->
-				<xsl:if test="/search/form/fields/exact-wording">
-					<input type="hidden" name="exact-wording" value="{/search/form/values/exact-wording}"/>
-				</xsl:if>
-				
-				<!-- No words -->
-				<xsl:if test="/search/form/fields/no-words">
-					<input type="hidden" name="no-words" value="{/search/form/values/no-words}"/>
-				</xsl:if>
+            </input>
+            <xsl:if test="/search/zone-item/@id">
+                <input type="hidden" name="zone-item-id" value="{/search/zone-item/@id}"/>
+            </xsl:if>
+            
+			<input type="hidden" name="textfield" value="{/search/form/values/textfield}"/>
 			
-				<!-- Page(s) -->
-				<xsl:choose>
-					<xsl:when test="count(/search/form/fields/pages/page) &gt; 1">
-						<xsl:for-each select="/search/form/values/page">
-							<input type="hidden" name="pages" value="{.}"/>
-						</xsl:for-each>
-					</xsl:when>
-					<xsl:when test="count(/search/form/fields/pages/page) = 1">
-						<input type="hidden" name="pages" value="{/search/form/fields/pages/page/@path}"/>
-					</xsl:when>
-				</xsl:choose>
+			<!-- All words -->
+			<xsl:if test="/search/form/fields/all-words">
+				<input type="hidden" name="all-words" value="{/search/form/values/all-words}"/>
+			</xsl:if>
+			
+			<!-- Exact wording or phrase -->
+			<xsl:if test="/search/form/fields/exact-wording">
+				<input type="hidden" name="exact-wording" value="{/search/form/values/exact-wording}"/>
+			</xsl:if>
+			
+			<!-- No words -->
+			<xsl:if test="/search/form/fields/no-words">
+				<input type="hidden" name="no-words" value="{/search/form/values/no-words}"/>
+			</xsl:if>
 		
-				<input type="hidden" name="offset" value="{/search/form/values/offset}"/>
-				<input type="hidden" name="start" value="{/search/form/values/start}"/>
-				<xsl:for-each select="/search/form/values/content-type">
-					<input type="hidden" name="content-types" value="{.}"/>
-				</xsl:for-each>
-				<xsl:for-each select="/search/form/values/tag">
-					<input type="hidden" name="tags" value="{.}"/>
-				</xsl:for-each>
-				<xsl:if test="/search/form/values/multisite">
-					<input type="hidden" name="multisite" value="true"/>
-					<xsl:for-each select="/search/form/values/site">
-						<input type="hidden" name="sites" value="{.}"/>
+			<!-- Page(s) -->
+			<xsl:choose>
+				<xsl:when test="count(/search/form/fields/pages/page) &gt; 1">
+					<xsl:for-each select="/search/form/values/page">
+						<input type="hidden" name="pages" value="{.}"/>
 					</xsl:for-each>
-				</xsl:if>
-				
-				<xsl:for-each select="/search/content-types/*[@current = 'true']">
-					<input type="hidden" name="current-ctype-filter" value="{local-name()}"/>
+				</xsl:when>
+				<xsl:when test="count(/search/form/fields/pages/page) = 1">
+					<input type="hidden" name="pages" value="{/search/form/fields/pages/page/@path}"/>
+				</xsl:when>
+			</xsl:choose>
+	
+			<input type="hidden" name="offset" value="{/search/form/values/offset}"/>
+			<input type="hidden" name="start" value="{/search/form/values/start}"/>
+			<xsl:for-each select="/search/form/values/content-type">
+				<input type="hidden" name="content-types" value="{.}"/>
+			</xsl:for-each>
+			<xsl:for-each select="/search/form/values/tag">
+				<input type="hidden" name="tags" value="{.}"/>
+			</xsl:for-each>
+			<xsl:if test="/search/form/values/multisite">
+				<input type="hidden" name="multisite" value="true"/>
+				<xsl:for-each select="/search/form/values/site">
+					<input type="hidden" name="sites" value="{.}"/>
 				</xsl:for-each>
-				
-				<xsl:choose>
-					<xsl:when test="/search//sort-by-title-for-sorting">
-						<input type="hidden" name="sort-by-title-for-sorting"/>
-					</xsl:when>
-					<xsl:when test="/search//sort-by-last-validation">
-						<input type="hidden" name="sort-by-last-validation"/>
-					</xsl:when>
-					<xsl:otherwise>
-					</xsl:otherwise>
-				</xsl:choose>
-			</div>
+			</xsl:if>
+			
+			<xsl:for-each select="/search/content-types/*[@current = 'true']">
+				<input type="hidden" name="current-ctype-filter" value="{local-name()}"/>
+			</xsl:for-each>
+			
+			<xsl:choose>
+				<xsl:when test="/search//sort-by-title-for-sorting">
+					<input type="hidden" name="sort-by-title-for-sorting"/>
+				</xsl:when>
+				<xsl:when test="/search//sort-by-last-validation">
+					<input type="hidden" name="sort-by-last-validation"/>
+				</xsl:when>
+				<xsl:otherwise>
+				</xsl:otherwise>
+			</xsl:choose>
 			
 			<div class="pagination">
 				
Index: webapp/cms/plugins/web/pages/services/attach/attachments.xsl
===================================================================
--- webapp/cms/plugins/web/pages/services/attach/attachments.xsl	(revision 9137)
+++ webapp/cms/plugins/web/pages/services/attach/attachments.xsl	(working copy)
@@ -17,43 +17,71 @@
 <xsl:stylesheet version="1.0" 
 				xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
 				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-
+    
+    <xsl:import href="service:web://pages/services/common.xsl"/>
+        
+    <!-- TODO -->
 	<xsl:param name="cms-context"/>
+    <!-- TODO -->
 	<xsl:param name="contextPath"/>
+    <!-- TODO -->
 	<xsl:param name="skin"/>
+    <!-- TODO -->
 	<xsl:param name="header"/>
+    
+    <xsl:variable name="attachmentUrlPrefix" select="concat($cms-context, '/', page/@lang, '/', page/@path, '/_attachments')"></xsl:variable>
+    
+    <!-- Used in common.xsl -->
+    <xsl:variable name="common-service-css-class-name">attachments</xsl:variable>
+    <xsl:variable name="is-empty" select="not(/Attachments)"/>    
 	
+    <!-- +
+         | ROOT TEMPLATE
+         + -->    
 	<xsl:template match="/Attachments">
-		<html>
-			<head>
-				<link rel="stylesheet" type="text/css" href="{$contextPath}/plugins/web/resources/css/service/attach.css" />
-			</head>
-			<body>
-				<xsl:variable name="attachmentUrlPrefix" select="concat($cms-context, '/', page/@lang, '/', page/@path, '/_attachments')"></xsl:variable>
-				<div class="attachments-wrapper">
-				
-					<xsl:if test="$header != ''">
-						<h1><xsl:value-of select="$header"/></h1>
-					</xsl:if>
-					
-					<div class="attachment-list">
-						<xsl:apply-templates select="Folder">
-							<xsl:with-param name="indent" select="0"/>
-							<xsl:with-param name="urlPrefix" select="$attachmentUrlPrefix"/>
-							<xsl:sort select="@name"/>
-						</xsl:apply-templates>
-						
-						<xsl:apply-templates select="File">
-							<xsl:with-param name="indent" select="0"/>
-							<xsl:with-param name="urlPrefix" select="$attachmentUrlPrefix"/>
-							<xsl:sort select="@name"/>
-						</xsl:apply-templates>
-					</div>
-				</div>
-			</body>
-		</html>
-	</xsl:template>
-	
+        <xsl:call-template name="common-service"/>
+    </xsl:template>
+    
+    <!-- +
+         | HEAD
+         + -->    
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-head-css">
+        <link rel="stylesheet" type="text/css" href="{$contextPath}/plugins/web/resources/css/service/attach.css" />    
+    </xsl:template>
+    
+    <!-- +
+         | BODY
+         + -->    
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-body-nonempty-content">
+        <xsl:call-template name="common-service-body-nonempty-content-title">
+            <xsl:with-param name="title" select="$header"/>
+        </xsl:call-template>
+        
+        <xsl:call-template name="attachment-list"/>
+    
+    </xsl:template>
+
+    <xsl:template name="attachment-list">
+        <div class="attachment-list">
+            <xsl:apply-templates select="Folder">
+                <xsl:with-param name="indent" select="0"/>
+                <xsl:with-param name="urlPrefix" select="$attachmentUrlPrefix"/>
+                <xsl:sort select="@name"/>
+            </xsl:apply-templates>
+            
+            <xsl:apply-templates select="File">
+                <xsl:with-param name="indent" select="0"/>
+                <xsl:with-param name="urlPrefix" select="$attachmentUrlPrefix"/>
+                <xsl:sort select="@name"/>
+            </xsl:apply-templates>
+        </div>
+    </xsl:template>	
+    
+    
 	<xsl:template match="Folder">
 		<xsl:param name="indent">0</xsl:param>
 		<xsl:param name="urlPrefix"/>
@@ -62,6 +90,7 @@
 			<xsl:choose>
 				<xsl:when test="Folder|File">
 					<img class="icon" src="{$contextPath}/plugins/web/resources/img/service/folder_32.png" style="vertical-align: middle" alt=""/>
+                    <!-- TODO add helper to test existing ressource in the skin -->
 				</xsl:when>
 				<xsl:otherwise>
 					<img class="icon" src="{$contextPath}/plugins/web/resources/img/service/folder_empty_32.png" style="vertical-align: middle" alt=""/>
Index: webapp/cms/plugins/web/pages/services/sitemap/sitemap.xsl
===================================================================
--- webapp/cms/plugins/web/pages/services/sitemap/sitemap.xsl	(revision 9137)
+++ webapp/cms/plugins/web/pages/services/sitemap/sitemap.xsl	(working copy)
@@ -18,29 +18,86 @@
 				xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
 				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
-	<xsl:param name="cms-context"/>
+    <xsl:import href="service:web://pages/services/common.xsl"/>
+
+    <!-- TODO -->
+	<xsl:param name="contextPath"/>
+    <!-- TODO -->    
+    <xsl:param name="cms-context"/>
+    <!-- TODO -->
     <xsl:param name="skin"/>
+    <!-- TODO -->
 	<xsl:param name="lang"/>
+    <!-- TODO -->
 	<xsl:param name="header"/>
 	
+    <!-- Used in common.xsl -->
+    <xsl:variable name="common-service-css-class-name">sitemap</xsl:variable>
+    <xsl:variable name="is-empty" select="not(/sitemap)"/>      
+    
+    
+    <!-- +
+         | ROOT TEMPLATE
+         + -->         
 	<xsl:template match="/sitemap">
-		<html>
-			<body>
-				<div class="sitemap-wrapper">
-					<xsl:if test="$header != ''"><h1><xsl:value-of select="$header"/></h1></xsl:if>
-	
-					<xsl:if test="page">
-						<ul>
-							<xsl:apply-templates select="page" mode="first"/>
-						</ul>
-					</xsl:if>
-				</div>
-			</body>
-		</html>
+        <xsl:call-template name="common-service"/>    
 	</xsl:template>
+    
+    <!-- +
+         | HEAD
+         + -->    
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-head-css">
+        <link rel="stylesheet" type="text/css" href="{$contextPath}/plugins/web/resources/css/jquery.treeview.css"/>
+    </xsl:template>
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-head-js">
+        <script type="text/javascript" src="{$contextPath}/plugins/web/resources/js/jquery.treeview.min.js"></script>
+        
+        <script type="text/javascript">
+            $j(document).ready(function(){
+                if ($j('div.sitemap').length != 0) 
+                {
+                    $j('.filetree').treeview({
+                        persist:   "location",
+                        collapsed: true,
+                        animated:  "fast"
+                    });
+                }
+            });
+        </script>
+    </xsl:template>    
+    
+    <!-- +
+         | BODY
+         + -->    
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-body-nonempty-content">
+        <xsl:call-template name="common-service-body-nonempty-content-title">
+            <xsl:with-param name="title" select="$header"/>
+        </xsl:call-template>
+        
+        <xsl:call-template name="page-list"/>
+            
+    </xsl:template>            
 	
+    <xsl:template name="page-list">
+        <xsl:if test="page">
+            <ul class="filetree">
+                <xsl:apply-templates select="page" mode="first"/>
+            </ul>
+        </xsl:if>    
+    </xsl:template>
+    
 	<xsl:template match="page" mode="first">
 		<li class="first">
+            <xsl:attribute name="class">
+                <xsl:if test="position() = last()">last </xsl:if>            
+            </xsl:attribute>
+            
 			<a href="{$cms-context}/{$lang}/{@path}.html" title="{@title}"><xsl:value-of select="@title"/></a>
 			<xsl:if test="page">
 				<ul>
@@ -60,5 +117,5 @@
 			</xsl:if>
 		</li>
 	</xsl:template>
-
+    
 </xsl:stylesheet>
Index: webapp/cms/plugins/web/pages/services/iframe/iframe.xsl
===================================================================
--- webapp/cms/plugins/web/pages/services/iframe/iframe.xsl	(revision 9137)
+++ webapp/cms/plugins/web/pages/services/iframe/iframe.xsl	(working copy)
@@ -18,14 +18,27 @@
 				xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
 				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
+    <xsl:import href="service:web://pages/services/common.xsl"/>
+    
+    <!-- TODO -->
 	<xsl:param name="header"/>
+    <!-- TODO -->
 	<xsl:param name="url"/>
+    <!-- TODO -->
 	<xsl:param name="height"/>
+    <!-- TODO -->
 	<xsl:param name="border"/>
+    <!-- TODO -->
 	<xsl:param name="transparancy"/>
+    <!-- TODO -->
 	<xsl:param name="cms-context"/>
+    <!-- TODO -->
 	<xsl:param name="skin"/>
+
 	
+    <!-- +
+         | ROOT TEMPLATE
+         + -->      
 	<xsl:template match="/">
 		<html>
 			<body>
@@ -38,8 +51,11 @@
 					</xsl:choose>
 				</xsl:variable>
 				
-				<xsl:call-template name="iframe-title"/>
-				
+                <!-- TODO -->
+                <xsl:call-template name="common-service-body-nonempty-content-title">
+                    <xsl:with-param name="title" select="$header"/>
+                </xsl:call-template>                
+                
 				<iframe src="{$url}" style="{$style}">
 					<xsl:attribute name="frameborder"><xsl:choose><xsl:when test="$border = 'true'">1</xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:attribute>
 					<xsl:if test="$transparancy = 'true'"><xsl:attribute name="allowtransparency">true</xsl:attribute></xsl:if>
@@ -50,10 +66,4 @@
 		</html>
 	</xsl:template>
 	
-	<xsl:template name="iframe-title">
-		<xsl:if test="$header != ''">
-			<h1><xsl:value-of select="$header"/></h1>
-		</xsl:if>
-	</xsl:template>
-	
 </xsl:stylesheet>
Index: webapp/cms/plugins/odf-web/pages/services/search/search.xsl
===================================================================
--- webapp/cms/plugins/odf-web/pages/services/search/search.xsl	(revision 9137)
+++ webapp/cms/plugins/odf-web/pages/services/search/search.xsl	(working copy)
@@ -47,12 +47,10 @@
 		<xsl:choose>
 			<xsl:when test="hits/hit">
 				<xsl:call-template name="hits"/>
-				
 				<xsl:call-template name="pagination"/>
 			</xsl:when>
-			
 			<xsl:when test="/search/form/values and not(/search/illegal-textfield)">
-				<div class="no-result"><i18n:text i18n:key="PLUGINS_ODFWEB_SERVICE_SEARCH_NO_RESULT"/></div>
+				<p class="no-result"><i18n:text i18n:key="PLUGINS_ODFWEB_SERVICE_SEARCH_NO_RESULT"/></p>
 			</xsl:when>
 		</xsl:choose>
 	</xsl:template>
@@ -83,7 +81,7 @@
 		 + -->
 	<xsl:template name="results-sort">
 		<div class="results-sort">
-			<ul class="sort">
+			<ul>
 				<li><span><i18n:text i18n:key="PLUGINS_ODFWEB_SERVICE_SEARCH_SORT_BY"/></span></li>
 				<li>
 					<xsl:choose>
Index: .settings/org.eclipse.jdt.core.prefs
===================================================================
--- .settings/org.eclipse.jdt.core.prefs	(revision 0)
+++ .settings/org.eclipse.jdt.core.prefs	(revision 0)
@@ -0,0 +1,12 @@
+#Thu Sep 16 13:55:06 CEST 2010
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
+org.eclipse.jdt.core.compiler.compliance=1.6
+org.eclipse.jdt.core.compiler.debug.lineNumber=generate
+org.eclipse.jdt.core.compiler.debug.localVariable=generate
+org.eclipse.jdt.core.compiler.debug.sourceFile=generate
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.6
